MapServer 7.2.0 PHP support?

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

MapServer 7.2.0 PHP support?

rgreenwood
Is there php7 mapscript support in MapServer 7.2? I grabbed the 7.2 beta and built the cgi mapserv on Ubuntu 18.07 then tried to build with php mapscript. Ubuntu 18.04 provides php 7.2. I got cmake to generate a Makefile but a couple things stand out below, the "PHP5" and the two "NOTFOUND".

PHP5_CONFIG_EXECUTABLE     /usr/bin/php-config
PHP5_EXECUTABLE            /usr/bin/php
PHP5_FOUND_INCLUDE_PATH    PHP5_FOUND_INCLUDE_PATH-NOTFOUND
PHP5_LIBRARY               PHP5_LIBRARY-NOTFOUND

When I try to build with the generated Makefile I get a lot of errors. 

So is it supposed to work and I'm just missing something(s) or is php7 not supported?

Thanks,
Rich

--
Richard W. Greenwood, PLS
www.greenwoodmap.com

_______________________________________________
mapserver-users mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/mapserver-users
Reply | Threaded
Open this post in threaded view
|

Re: MapServer 7.2.0 PHP support?

Lime, Steve D (MNIT)

Hi Rich: It was my mistake to include PHP 7 support in the feature list – I thought it was ready. There has been some work but it has not been finished. Consequently it will not be included in the 7.2 release. I’ll fix the feature list with the next beta.

 

As I mentioned, work *has* been done. Jeff McKenna has an RFC for PHP/Swig support and there’s a pull request (https://github.com/mapserver/mapserver/pull/5461) sitting out there.

 

IMHO the quickest means to an end will be to have folks test and provide feedback on the pull request and then include it as part of a 7.2.1 release.

 

--Steve

 

 

From: mapserver-users [mailto:[hidden email]] On Behalf Of Richard Greenwood
Sent: Monday, May 14, 2018 1:08 PM
To: mapserver <[hidden email]>
Subject: [mapserver-users] MapServer 7.2.0 PHP support?

 

Is there php7 mapscript support in MapServer 7.2? I grabbed the 7.2 beta and built the cgi mapserv on Ubuntu 18.07 then tried to build with php mapscript. Ubuntu 18.04 provides php 7.2. I got cmake to generate a Makefile but a couple things stand out below, the "PHP5" and the two "NOTFOUND".

 

PHP5_CONFIG_EXECUTABLE     /usr/bin/php-config

PHP5_EXECUTABLE            /usr/bin/php

PHP5_FOUND_INCLUDE_PATH    PHP5_FOUND_INCLUDE_PATH-NOTFOUND

PHP5_LIBRARY               PHP5_LIBRARY-NOTFOUND

 

When I try to build with the generated Makefile I get a lot of errors. 

 

So is it supposed to work and I'm just missing something(s) or is php7 not supported?

 

Thanks,

Rich

 

--

Richard W. Greenwood, PLS
www.greenwoodmap.com


_______________________________________________
mapserver-users mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/mapserver-users
Reply | Threaded
Open this post in threaded view
|

Σχετ: MapServer 7.2.0 PHP support?

Stefanos Anastasiou
Hi Steve,
    thank you for you effort so far..!!!  
 when you say next beta, you mean 7.2 beta in the upcoming weeks? Or in the next major release?


Regards, 
Stefanos


Στις 9:48 μ.μ. Δευτέρα, 14 Μαΐου 2018, ο/η "Lime, Steve D (MNIT)" <[hidden email]> έγραψε:


Hi Rich: It was my mistake to include PHP 7 support in the feature list – I thought it was ready. There has been some work but it has not been finished. Consequently it will not be included in the 7.2 release. I’ll fix the feature list with the next beta.
 
As I mentioned, work *has* been done. Jeff McKenna has an RFC for PHP/Swig support and there’s a pull request (https://github.com/mapserver/mapserver/pull/5461) sitting out there.
 
IMHO the quickest means to an end will be to have folks test and provide feedback on the pull request and then include it as part of a 7.2.1 release.
 
--Steve
 
 
From: mapserver-users [mailto:[hidden email]] On Behalf Of Richard Greenwood
Sent: Monday, May 14, 2018 1:08 PM
To: mapserver <[hidden email]>
Subject: [mapserver-users] MapServer 7.2.0 PHP support?
 
Is there php7 mapscript support in MapServer 7.2? I grabbed the 7.2 beta and built the cgi mapserv on Ubuntu 18.07 then tried to build with php mapscript. Ubuntu 18.04 provides php 7.2. I got cmake to generate a Makefile but a couple things stand out below, the "PHP5" and the two "NOTFOUND".
 
PHP5_CONFIG_EXECUTABLE     /usr/bin/php-config
PHP5_EXECUTABLE            /usr/bin/php
PHP5_FOUND_INCLUDE_PATH    PHP5_FOUND_INCLUDE_PATH-NOTFOUND
PHP5_LIBRARY               PHP5_LIBRARY-NOTFOUND
 
When I try to build with the generated Makefile I get a lot of errors. 
 
So is it supposed to work and I'm just missing something(s) or is php7 not supported?
 
Thanks,
Rich
 
--
Richard W. Greenwood, PLS
www.greenwoodmap.com
_______________________________________________
mapserver-users mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/mapserver-users



_______________________________________________
mapserver-users mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/mapserver-users
Reply | Threaded
Open this post in threaded view
|

Re: Σχετ: MapServer 7.2.0 PHP support?

Lime, Steve D (MNIT)

Hi Stefano: I mean the second beta coming in a day or two... We'd at PHP 7 support when ready and convenient. --Steve


From: Stefanos Anastasiou <[hidden email]>
Sent: Monday, May 14, 2018 2:14:02 PM
To: Lime, Steve D (MNIT); Richard Greenwood; mapserver
Subject: Σχετ: [mapserver-users] MapServer 7.2.0 PHP support?
 
Hi Steve,
    thank you for you effort so far..!!!  
 when you say next beta, you mean 7.2 beta in the upcoming weeks? Or in the next major release?


Regards, 
Stefanos


Στις 9:48 μ.μ. Δευτέρα, 14 Μαΐου 2018, ο/η "Lime, Steve D (MNIT)" <[hidden email]> έγραψε:


Hi Rich: It was my mistake to include PHP 7 support in the feature list – I thought it was ready. There has been some work but it has not been finished. Consequently it will not be included in the 7.2 release. I’ll fix the feature list with the next beta.
 
As I mentioned, work *has* been done. Jeff McKenna has an RFC for PHP/Swig support and there’s a pull request (https://github.com/mapserver/mapserver/pull/5461) sitting out there.
 
IMHO the quickest means to an end will be to have folks test and provide feedback on the pull request and then include it as part of a 7.2.1 release.
 
--Steve
 
 
From: mapserver-users [mailto:[hidden email]] On Behalf Of Richard Greenwood
Sent: Monday, May 14, 2018 1:08 PM
To: mapserver <[hidden email]>
Subject: [mapserver-users] MapServer 7.2.0 PHP support?
 
Is there php7 mapscript support in MapServer 7.2? I grabbed the 7.2 beta and built the cgi mapserv on Ubuntu 18.07 then tried to build with php mapscript. Ubuntu 18.04 provides php 7.2. I got cmake to generate a Makefile but a couple things stand out below, the "PHP5" and the two "NOTFOUND".
 
PHP5_CONFIG_EXECUTABLE     /usr/bin/php-config
PHP5_EXECUTABLE            /usr/bin/php
PHP5_FOUND_INCLUDE_PATH    PHP5_FOUND_INCLUDE_PATH-NOTFOUND
PHP5_LIBRARY               PHP5_LIBRARY-NOTFOUND
 
When I try to build with the generated Makefile I get a lot of errors. 
 
So is it supposed to work and I'm just missing something(s) or is php7 not supported?
 
Thanks,
Rich
 
--
Richard W. Greenwood, PLS
www.greenwoodmap.com
_______________________________________________
mapserver-users mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/mapserver-users



_______________________________________________
mapserver-users mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/mapserver-users